name: Section
icon: template
tabs:
  content:
    label: Texte
    fields:
      contentHeadline:
        label: Contenu
        type: headline
      section_id:
        type: slug
        label: ID de la section
        icon: id
        required: false
      color:
        extends: fields/color
      tag:
        type: text
        label: Tag
        icon: tag
        required: true
      title:
        type: text
        label: Titre
        icon: headline
      text:
        width: 1/1
        extends: fields/text
      links:
        extends: structures/link-structure
  medias:
    label: Média
    fields:
      mediaHeadline:
        label: Média
        type: headline
      medias_type:
        type: select
        label: Type
        options:
          cards: Cartes
          team: Équipe
          contact: Contact
      cards:
        type: structure
        label: Cartes
        empty: Aucune carte
        min: 3
        max: 3
        sortable: true
        required: false
        icon: layers
        when:
          medias_type: cards
        columns:
          image:
            width: 1/2
          title:
            width: 1/2
        fields:
          image:
            extends: fields/image
          title:
            type: text
            label: Titre
            required: true
            icon: headline
          text:
            type: text
            label: Texte
            required: true
            icon: text
      team:
        type: structure
        label: Équipe
        empty: Aucun membre
        min: 0
        sortable: true
        required: false
        icon: layers
        when:
          medias_type: team
        columns:
          portrait:
            width: 1/3
          name:
            width: 1/3
          function:
            width: 1/3
        fields:
          portrait:
            extends: fields/image
          name:
            type: text
            label: Nom
            required: true
            icon: headline
          function:
            type: text
            label: Fonction
            required: true
            icon: text
  # style:
  #   label: Style
  #   fields:
  #     invert:
  #       type: toggle
  #       label: Inverser l'ordre ?
  #       required: false
